Skip to navigation

Update container registry

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
cloud_role_idstring or nullOptionalformat: "uuid"
is_enabledboolean or nullOptional
repository_prefixeslist of strings or nullOptional

Response

Successful Response
cloud_role_idstringformat: "uuid"
idstringformat: "uuid"
is_enabledboolean
providerstring
regionstring
registry_hoststring
repository_prefixeslist of strings
created_atdatetime or nullOptional
updated_atdatetime or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error